# Makefile.in generated by automake 1.11a from Makefile.am.
# tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010  Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/diffutils
pkgincludedir = $(includedir)/diffutils
pkglibdir = $(libdir)/diffutils
pkglibexecdir = $(libexecdir)/diffutils
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i586-pc-msdosdjgpp
host_triplet = i586-pc-msdosdjgpp
subdir = tests
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/00gnulib.m4 \
	$(top_srcdir)/m4/alloca.m4 $(top_srcdir)/m4/argmatch.m4 \
	$(top_srcdir)/m4/btowc.m4 $(top_srcdir)/m4/c-stack.m4 \
	$(top_srcdir)/m4/clock_time.m4 $(top_srcdir)/m4/codeset.m4 \
	$(top_srcdir)/m4/config-h.m4 $(top_srcdir)/m4/dirname.m4 \
	$(top_srcdir)/m4/dos.m4 $(top_srcdir)/m4/double-slash-root.m4 \
	$(top_srcdir)/m4/dup2.m4 $(top_srcdir)/m4/eealloc.m4 \
	$(top_srcdir)/m4/environ.m4 $(top_srcdir)/m4/errno_h.m4 \
	$(top_srcdir)/m4/error.m4 $(top_srcdir)/m4/exclude.m4 \
	$(top_srcdir)/m4/extensions.m4 $(top_srcdir)/m4/fcntl-o.m4 \
	$(top_srcdir)/m4/fcntl.m4 $(top_srcdir)/m4/fcntl_h.m4 \
	$(top_srcdir)/m4/file-type.m4 $(top_srcdir)/m4/fnmatch.m4 \
	$(top_srcdir)/m4/freopen.m4 $(top_srcdir)/m4/getdtablesize.m4 \
	$(top_srcdir)/m4/getopt.m4 $(top_srcdir)/m4/gettext_gl.m4 \
	$(top_srcdir)/m4/gettime.m4 $(top_srcdir)/m4/gettimeofday.m4 \
	$(top_srcdir)/m4/glibc21_gl.m4 $(top_srcdir)/m4/gnu-make.m4 \
	$(top_srcdir)/m4/gnulib-common.m4 \
	$(top_srcdir)/m4/gnulib-comp.m4 \
	$(top_srcdir)/m4/hard-locale.m4 $(top_srcdir)/m4/hash.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/iconv_h.m4 \
	$(top_srcdir)/m4/iconv_open.m4 \
	$(top_srcdir)/m4/include_next.m4 $(top_srcdir)/m4/inline.m4 \
	$(top_srcdir)/m4/intlmacosx.m4 $(top_srcdir)/m4/inttostr.m4 \
	$(top_srcdir)/m4/inttypes-pri.m4 $(top_srcdir)/m4/inttypes.m4 \
	$(top_srcdir)/m4/langinfo_h.m4 $(top_srcdir)/m4/lib-ld_gl.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix_gl.m4 \
	$(top_srcdir)/m4/libsigsegv.m4 \
	$(top_srcdir)/m4/localcharset.m4 $(top_srcdir)/m4/locale-fr.m4 \
	$(top_srcdir)/m4/locale-ja.m4 $(top_srcdir)/m4/locale-tr.m4 \
	$(top_srcdir)/m4/locale-zh.m4 $(top_srcdir)/m4/longlong_gl.m4 \
	$(top_srcdir)/m4/lstat.m4 $(top_srcdir)/m4/malloc.m4 \
	$(top_srcdir)/m4/malloca.m4 $(top_srcdir)/m4/manywarnings.m4 \
	$(top_srcdir)/m4/mbchar.m4 $(top_srcdir)/m4/mbiter.m4 \
	$(top_srcdir)/m4/mbrlen.m4 $(top_srcdir)/m4/mbrtowc.m4 \
	$(top_srcdir)/m4/mbsinit.m4 $(top_srcdir)/m4/mbslen.m4 \
	$(top_srcdir)/m4/mbsrtowcs.m4 $(top_srcdir)/m4/mbstate_t.m4 \
	$(top_srcdir)/m4/memchr.m4 $(top_srcdir)/m4/mkstemp.m4 \
	$(top_srcdir)/m4/mktime.m4 $(top_srcdir)/m4/mmap-anon.m4 \
	$(top_srcdir)/m4/mode_t.m4 $(top_srcdir)/m4/multiarch.m4 \
	$(top_srcdir)/m4/nl_langinfo.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/onceonly.m4 $(top_srcdir)/m4/open.m4 \
	$(top_srcdir)/m4/pathmax.m4 $(top_srcdir)/m4/po_gl.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/m4/putenv.m4 \
	$(top_srcdir)/m4/quote.m4 $(top_srcdir)/m4/quotearg.m4 \
	$(top_srcdir)/m4/regex.m4 $(top_srcdir)/m4/setenv.m4 \
	$(top_srcdir)/m4/sigaction.m4 $(top_srcdir)/m4/signal_h.m4 \
	$(top_srcdir)/m4/signalblocking.m4 $(top_srcdir)/m4/sleep.m4 \
	$(top_srcdir)/m4/ssize_t.m4 $(top_srcdir)/m4/stat-time.m4 \
	$(top_srcdir)/m4/stat.m4 $(top_srcdir)/m4/stdarg.m4 \
	$(top_srcdir)/m4/stdbool.m4 $(top_srcdir)/m4/stddef_h.m4 \
	$(top_srcdir)/m4/stdint.m4 $(top_srcdir)/m4/stdio-safer.m4 \
	$(top_srcdir)/m4/stdio_h.m4 $(top_srcdir)/m4/stdlib_h.m4 \
	$(top_srcdir)/m4/strcase.m4 $(top_srcdir)/m4/strerror.m4 \
	$(top_srcdir)/m4/strftime.m4 $(top_srcdir)/m4/string_h.m4 \
	$(top_srcdir)/m4/strings_h.m4 $(top_srcdir)/m4/strndup.m4 \
	$(top_srcdir)/m4/strnlen.m4 $(top_srcdir)/m4/strptime.m4 \
	$(top_srcdir)/m4/strtoimax.m4 $(top_srcdir)/m4/strtol.m4 \
	$(top_srcdir)/m4/strtoll.m4 $(top_srcdir)/m4/strtoul.m4 \
	$(top_srcdir)/m4/strtoull.m4 $(top_srcdir)/m4/strtoumax.m4 \
	$(top_srcdir)/m4/symlink.m4 $(top_srcdir)/m4/sys_stat_h.m4 \
	$(top_srcdir)/m4/sys_time_h.m4 $(top_srcdir)/m4/sys_wait_h.m4 \
	$(top_srcdir)/m4/tempname.m4 $(top_srcdir)/m4/time_h.m4 \
	$(top_srcdir)/m4/time_r.m4 $(top_srcdir)/m4/timegm.m4 \
	$(top_srcdir)/m4/timespec.m4 $(top_srcdir)/m4/tm_gmtoff.m4 \
	$(top_srcdir)/m4/unistd_h.m4 $(top_srcdir)/m4/unlocked-io.m4 \
	$(top_srcdir)/m4/usleep.m4 $(top_srcdir)/m4/vararrays.m4 \
	$(top_srcdir)/m4/version-etc.m4 \
	$(top_srcdir)/m4/warn-on-use.m4 $(top_srcdir)/m4/warnings.m4 \
	$(top_srcdir)/m4/wchar_h.m4 $(top_srcdir)/m4/wchar_t.m4 \
	$(top_srcdir)/m4/wcrtomb.m4 $(top_srcdir)/m4/wctob.m4 \
	$(top_srcdir)/m4/wctype_h.m4 $(top_srcdir)/m4/wcwidth.m4 \
	$(top_srcdir)/m4/wint_t.m4 $(top_srcdir)/m4/xalloc.m4 \
	$(top_srcdir)/m4/xstrndup.m4 $(top_srcdir)/m4/xstrtol.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/build-aux/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/lib/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
SOURCES =
DIST_SOURCES =
# If stdout is a non-dumb tty, use colors.  If test -t is not supported,
# then this fails; a conservative approach.  Of course do not redirect
# stdout here, just stderr.
am__tty_colors = \
red=; grn=; lgn=; blu=; std=; \
test "X$(AM_COLOR_TESTS)" != Xno \
&& test "X$$TERM" != Xdumb \
&& { test "X$(AM_COLOR_TESTS)" = Xalways || test -t 1 2>/dev/null; } \
&& { \
  red='[0;31m'; \
  grn='[0;32m'; \
  lgn='[1;32m'; \
  blu='[1;34m'; \
  std='[m'; \
}
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
# Restructured Text title and section.
am__rst_title = sed 's/.*/   &   /;h;s/./=/g;p;x;p;g;p;s/.*//'
am__rst_section = sed 'p;s/./=/g;p;g'
# Put stdin (possibly several lines separated by ".  ") in a box.
am__text_box = $(AWK) '{				\
  n = split($$0, lines, "\\.  "); max = 0;		\
  for (i = 1; i <= n; ++i)				\
    if (max < length(lines[i]))				\
      max = length(lines[i]);				\
  for (i = 0; i < max; ++i) line = line "=";		\
  print line;						\
  for (i = 1; i <= n; ++i) if (lines[i]) print lines[i];\
  print line;						\
}'
# Solaris 10 'make', and several other traditional 'make' implementations,
# pass "-e" to $(SHELL).  This contradicts POSIX.  Work around the problem
# by disabling -e (using the XSI extension "set +e") if it's set.
am__sh_e_setup = case $$- in *e*) set +e;; esac
# To be inserted before the command running the test.  Creates the
# directory for the log if needed.  Stores in $dir the directory
# containing $f, in $tst the test, in $log the log, and passes
# TESTS_ENVIRONMENT.  Save and restore TERM around use of
# TESTS_ENVIRONMENT, in case that unsets it.
am__check_pre = \
$(am__sh_e_setup);					\
$(am__vpath_adj_setup) $(am__vpath_adj)			\
srcdir=$(srcdir); export srcdir;			\
rm -f $@-t;						\
am__trap='rm -f '\''$(abs_builddir)/$@-t'\''; (exit $$st); exit $$st'; \
trap "st=129; $$am__trap" 1; trap "st=130; $$am__trap" 2;	\
trap "st=141; $$am__trap" 13; trap "st=143; $$am__trap" 15; \
am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;		\
test "x$$am__odir" = x. || $(MKDIR_P) "$$am__odir" || exit $$?;	\
if test -f "./$$f"; then dir=./;			\
elif test -f "$$f"; then dir=;				\
else dir="$(srcdir)/"; fi;				\
tst=$$dir$$f; log='$@'; __SAVED_TERM=$$TERM;		\
$(TESTS_ENVIRONMENT)
RECHECK_LOGS = $(TEST_LOGS)
AM_RECURSIVE_TARGETS = check check-html recheck recheck-html
TEST_SUITE_LOG = test-suite.log
TEST_SUITE_HTML = $(TEST_SUITE_LOG:.log=.html)
TEST_EXTENSIONS = .exe .test
LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
am__test_logs1 = $(TESTS:=.log)
am__test_logs2 = $(am__test_logs1:.exe.log=.log)
TEST_LOGS = $(am__test_logs2:.test.log=.log)
TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
	$(TEST_LOG_FLAGS)
TEST_LOGS_TMP = $(TEST_LOGS:.log=.log-t)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /dev/g/du/srcs/gnu/diffutil.30/build-aux/missing --run aclocal-1.11a
ALLOCA = 
ALLOCA_H = alloca.h
AMTAR = ${SHELL} /dev/g/du/srcs/gnu/diffutil.30/build-aux/missing --run tar
AM_DEFAULT_VERBOSITY = 1
APPLE_UNIVERSAL_BUILD = 0
AUTOCONF = ${SHELL} /dev/g/du/srcs/gnu/diffutil.30/build-aux/missing --run autoconf
AUTOHEADER = ${SHELL} /dev/g/du/srcs/gnu/diffutil.30/build-aux/missing --run autoheader
AUTOMAKE = ${SHELL} /dev/g/du/srcs/gnu/diffutil.30/build-aux/missing --run automake-1.11a
AWK = gawk
BITSIZEOF_PTRDIFF_T = 32
BITSIZEOF_SIG_ATOMIC_T = 32
BITSIZEOF_SIZE_T = 32
BITSIZEOF_WCHAR_T = 16
BITSIZEOF_WINT_T = 32
CC = gcc -std=gnu99
CCDEPMODE = depmode=none
CFLAGS = -g -O2
CONFIG_INCLUDE = lib/config.h
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = 
DEPDIR = _deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /dev/env/DJDIR/bin/egrep
EMULTIHOP_HIDDEN = 0
EMULTIHOP_VALUE = 
ENOLINK_HIDDEN = 0
ENOLINK_VALUE = 
EOVERFLOW_HIDDEN = 0
EOVERFLOW_VALUE = 
ERRNO_H = errno.h
EXEEXT = .exe
FNMATCH_H = fnmatch.h
GETOPT_H = getopt.h
GETTEXT_MACRO_VERSION = 0.17
GLIBC21 = no
GMSGFMT = :
GMSGFMT_015 = :
GNULIB_ATOLL = 0
GNULIB_BTOWC = 1
GNULIB_CALLOC_POSIX = 0
GNULIB_CANONICALIZE_FILE_NAME = 0
GNULIB_CHOWN = 0
GNULIB_CLOSE = 0
GNULIB_DPRINTF = 0
GNULIB_DUP2 = 1
GNULIB_DUP3 = 0
GNULIB_ENVIRON = IN_DIFFUTILS_GNULIB_TESTS
GNULIB_EUIDACCESS = 0
GNULIB_FACCESSAT = 0
GNULIB_FCHDIR = 0
GNULIB_FCHMODAT = 0
GNULIB_FCHOWNAT = 0
GNULIB_FCLOSE = 0
GNULIB_FCNTL = 1
GNULIB_FFLUSH = 0
GNULIB_FOPEN = 0
GNULIB_FPRINTF = 1
GNULIB_FPRINTF_POSIX = 0
GNULIB_FPURGE = 0
GNULIB_FPUTC = 1
GNULIB_FPUTS = 1
GNULIB_FREOPEN = 1
GNULIB_FSEEK = 0
GNULIB_FSEEKO = 0
GNULIB_FSTATAT = 0
GNULIB_FSYNC = 0
GNULIB_FTELL = 0
GNULIB_FTELLO = 0
GNULIB_FTRUNCATE = 0
GNULIB_FUTIMENS = 0
GNULIB_FWRITE = 1
GNULIB_GETCWD = 0
GNULIB_GETDELIM = 0
GNULIB_GETDOMAINNAME = 0
GNULIB_GETDTABLESIZE = 1
GNULIB_GETGROUPS = 0
GNULIB_GETHOSTNAME = 0
GNULIB_GETLINE = 0
GNULIB_GETLOADAVG = 0
GNULIB_GETLOGIN = 0
GNULIB_GETLOGIN_R = 0
GNULIB_GETPAGESIZE = 0
GNULIB_GETSUBOPT = 0
GNULIB_GETTIMEOFDAY = 1
GNULIB_GETUSERSHELL = 0
GNULIB_GRANTPT = 0
GNULIB_IMAXABS = 0
GNULIB_IMAXDIV = 0
GNULIB_LCHMOD = 0
GNULIB_LCHOWN = 0
GNULIB_LINK = 0
GNULIB_LINKAT = 0
GNULIB_LSEEK = 0
GNULIB_LSTAT = 1
GNULIB_MALLOC_POSIX = 1
GNULIB_MBRLEN = 1
GNULIB_MBRTOWC = 1
GNULIB_MBSCASECMP = 1
GNULIB_MBSCASESTR = 0
GNULIB_MBSCHR = 0
GNULIB_MBSCSPN = 0
GNULIB_MBSINIT = 1
GNULIB_MBSLEN = 1
GNULIB_MBSNCASECMP = 0
GNULIB_MBSNLEN = 0
GNULIB_MBSNRTOWCS = 0
GNULIB_MBSPBRK = 0
GNULIB_MBSPCASECMP = 0
GNULIB_MBSRCHR = 0
GNULIB_MBSRTOWCS = 1
GNULIB_MBSSEP = 0
GNULIB_MBSSPN = 0
GNULIB_MBSSTR = 1
GNULIB_MBSTOK_R = 0
GNULIB_MEMCHR = 1
GNULIB_MEMMEM = 0
GNULIB_MEMPCPY = 0
GNULIB_MEMRCHR = 0
GNULIB_MKDIRAT = 0
GNULIB_MKDTEMP = 0
GNULIB_MKFIFO = 0
GNULIB_MKFIFOAT = 0
GNULIB_MKNOD = 0
GNULIB_MKNODAT = 0
GNULIB_MKOSTEMP = 0
GNULIB_MKOSTEMPS = 0
GNULIB_MKSTEMP = 1
GNULIB_MKSTEMPS = 0
GNULIB_MKTIME = 1
GNULIB_NANOSLEEP = 0
GNULIB_NL_LANGINFO = 1
GNULIB_OBSTACK_PRINTF = 0
GNULIB_OBSTACK_PRINTF_POSIX = 0
GNULIB_OPEN = 1
GNULIB_OPENAT = 0
GNULIB_PERROR = 0
GNULIB_PIPE2 = 0
GNULIB_POPEN = 0
GNULIB_PREAD = 0
GNULIB_PRINTF = 1
GNULIB_PRINTF_POSIX = 0
GNULIB_PTSNAME = 0
GNULIB_PUTC = 1
GNULIB_PUTCHAR = 1
GNULIB_PUTENV = IN_DIFFUTILS_GNULIB_TESTS
GNULIB_PUTS = 1
GNULIB_RANDOM_R = 0
GNULIB_RAWMEMCHR = 0
GNULIB_READLINK = 0
GNULIB_READLINKAT = 0
GNULIB_REALLOC_POSIX = 0
GNULIB_REALPATH = 0
GNULIB_REMOVE = 0
GNULIB_RENAME = 0
GNULIB_RENAMEAT = 0
GNULIB_RMDIR = 0
GNULIB_RPMATCH = 0
GNULIB_SETENV = IN_DIFFUTILS_GNULIB_TESTS
GNULIB_SIGACTION = 1
GNULIB_SIGNAL_H_SIGPIPE = 0
GNULIB_SIGPROCMASK = 1
GNULIB_SLEEP = IN_DIFFUTILS_GNULIB_TESTS
GNULIB_SNPRINTF = 0
GNULIB_SPRINTF_POSIX = 0
GNULIB_STAT = 1
GNULIB_STDIO_H_SIGPIPE = 0
GNULIB_STPCPY = 0
GNULIB_STPNCPY = 0
GNULIB_STRCASESTR = 0
GNULIB_STRCHRNUL = 0
GNULIB_STRDUP = 0
GNULIB_STRERROR = 1
GNULIB_STRNCAT = 0
GNULIB_STRNDUP = 1
GNULIB_STRNLEN = 1
GNULIB_STRPBRK = 0
GNULIB_STRPTIME = 1
GNULIB_STRSEP = 0
GNULIB_STRSIGNAL = 0
GNULIB_STRSTR = 0
GNULIB_STRTOD = 0
GNULIB_STRTOIMAX = 1
GNULIB_STRTOK_R = 0
GNULIB_STRTOLL = 1
GNULIB_STRTOULL = 1
GNULIB_STRTOUMAX = 1
GNULIB_STRVERSCMP = 0
GNULIB_SYMLINK = IN_DIFFUTILS_GNULIB_TESTS
GNULIB_SYMLINKAT = 0
GNULIB_TIMEGM = 1
GNULIB_TIME_R = 1
GNULIB_TMPFILE = 0
GNULIB_TTYNAME_R = 0
GNULIB_UNISTD_H_GETOPT = 1
GNULIB_UNISTD_H_SIGPIPE = 0
GNULIB_UNLINK = 0
GNULIB_UNLINKAT = 0
GNULIB_UNLOCKPT = 0
GNULIB_UNSETENV = IN_DIFFUTILS_GNULIB_TESTS
GNULIB_USLEEP = IN_DIFFUTILS_GNULIB_TESTS
GNULIB_UTIMENSAT = 0
GNULIB_VASPRINTF = 0
GNULIB_VDPRINTF = 0
GNULIB_VFPRINTF = 1
GNULIB_VFPRINTF_POSIX = 0
GNULIB_VPRINTF = 1
GNULIB_VPRINTF_POSIX = 0
GNULIB_VSNPRINTF = 0
GNULIB_VSPRINTF_POSIX = 0
GNULIB_WARN_CFLAGS = 
GNULIB_WCRTOMB = 1
GNULIB_WCSNRTOMBS = 0
GNULIB_WCSRTOMBS = 0
GNULIB_WCTOB = IN_DIFFUTILS_GNULIB_TESTS
GNULIB_WCWIDTH = 1
GNULIB_WRITE = 0
GREP = /dev/env/DJDIR/bin/grep
HAVE_ATOLL = 1
HAVE_BTOWC = 0
HAVE_CALLOC_POSIX = 1
HAVE_CANONICALIZE_FILE_NAME = 1
HAVE_CHOWN = 1
HAVE_DECL_ENVIRON = 0
HAVE_DECL_FPURGE = 1
HAVE_DECL_GETDELIM = 1
HAVE_DECL_GETLINE = 1
HAVE_DECL_GETLOADAVG = 1
HAVE_DECL_GETLOGIN_R = 1
HAVE_DECL_GETPAGESIZE = 1
HAVE_DECL_GETUSERSHELL = 1
HAVE_DECL_IMAXABS = 0
HAVE_DECL_IMAXDIV = 0
HAVE_DECL_MEMMEM = 1
HAVE_DECL_MEMRCHR = 1
HAVE_DECL_OBSTACK_PRINTF = 1
HAVE_DECL_SNPRINTF = 1
HAVE_DECL_STRDUP = 1
HAVE_DECL_STRNCASECMP = 1
HAVE_DECL_STRNDUP = 0
HAVE_DECL_STRNLEN = 0
HAVE_DECL_STRSIGNAL = 1
HAVE_DECL_STRTOIMAX = 0
HAVE_DECL_STRTOK_R = 1
HAVE_DECL_STRTOUMAX = 0
HAVE_DECL_VSNPRINTF = 1
HAVE_DECL_WCTOB = 0
HAVE_DECL_WCWIDTH = 0
HAVE_DPRINTF = 1
HAVE_DUP2 = 1
HAVE_DUP3 = 1
HAVE_EUIDACCESS = 1
HAVE_FACCESSAT = 1
HAVE_FCHDIR = 1
HAVE_FCHMODAT = 1
HAVE_FCHOWNAT = 1
HAVE_FCNTL = 1
HAVE_FSEEKO = 1
HAVE_FSTATAT = 1
HAVE_FSYNC = 1
HAVE_FTELLO = 1
HAVE_FTRUNCATE = 1
HAVE_FUTIMENS = 1
HAVE_GETDOMAINNAME = 1
HAVE_GETDTABLESIZE = 1
HAVE_GETGROUPS = 1
HAVE_GETHOSTNAME = 1
HAVE_GETLOGIN = 1
HAVE_GETOPT_H = 0
HAVE_GETPAGESIZE = 1
HAVE_GETSUBOPT = 1
HAVE_GETTIMEOFDAY = 1
HAVE_GRANTPT = 1
HAVE_INTTYPES_H = 0
HAVE_ISWBLANK = 0
HAVE_ISWCNTRL = 0
HAVE_LANGINFO_CODESET = 0
HAVE_LANGINFO_ERA = 0
HAVE_LANGINFO_H = 0
HAVE_LCHMOD = 1
HAVE_LCHOWN = 1
HAVE_LIBSIGSEGV = no
HAVE_LINK = 1
HAVE_LINKAT = 1
HAVE_LOCALTIME_R = 0
HAVE_LONG_LONG_INT = 1
HAVE_LSTAT = 0
HAVE_MALLOC_POSIX = 1
HAVE_MBRLEN = 0
HAVE_MBRTOWC = 0
HAVE_MBSINIT = 0
HAVE_MBSLEN = 0
HAVE_MBSNRTOWCS = 1
HAVE_MBSRTOWCS = 0
HAVE_MEMCHR = 1
HAVE_MEMPCPY = 1
HAVE_MKDIRAT = 1
HAVE_MKDTEMP = 1
HAVE_MKFIFO = 1
HAVE_MKFIFOAT = 1
HAVE_MKNOD = 1
HAVE_MKNODAT = 1
HAVE_MKOSTEMP = 1
HAVE_MKOSTEMPS = 1
HAVE_MKSTEMP = 1
HAVE_MKSTEMPS = 1
HAVE_NANOSLEEP = 1
HAVE_NL_LANGINFO = 0
HAVE_OPENAT = 1
HAVE_OS_H = 0
HAVE_PIPE2 = 1
HAVE_POSIX_SIGNALBLOCKING = 1
HAVE_PREAD = 1
HAVE_PTSNAME = 1
HAVE_RANDOM_H = 1
HAVE_RANDOM_R = 1
HAVE_RAWMEMCHR = 1
HAVE_READLINK = 1
HAVE_READLINKAT = 1
HAVE_REALLOC_POSIX = 1
HAVE_REALPATH = 1
HAVE_RENAMEAT = 1
HAVE_RPMATCH = 1
HAVE_SETENV = 1
HAVE_SIGACTION = 1
HAVE_SIGINFO_T = 1
HAVE_SIGNED_SIG_ATOMIC_T = 1
HAVE_SIGNED_WCHAR_T = 0
HAVE_SIGNED_WINT_T = 1
HAVE_SIGSET_T = 1
HAVE_SLEEP = 1
HAVE_STDINT_H = 0
HAVE_STPCPY = 1
HAVE_STPNCPY = 1
HAVE_STRCASECMP = 1
HAVE_STRCASESTR = 1
HAVE_STRCHRNUL = 1
HAVE_STRPBRK = 1
HAVE_STRPTIME = 0
HAVE_STRSEP = 1
HAVE_STRTOD = 1
HAVE_STRTOLL = 1
HAVE_STRTOULL = 1
HAVE_STRUCT_RANDOM_DATA = 0
HAVE_STRUCT_SIGACTION_SA_SIGACTION = 0
HAVE_STRUCT_TIMEVAL = 1
HAVE_STRVERSCMP = 1
HAVE_SYMLINK = 1
HAVE_SYMLINKAT = 1
HAVE_SYS_BITYPES_H = 0
HAVE_SYS_INTTYPES_H = 0
HAVE_SYS_LOADAVG_H = 0
HAVE_SYS_PARAM_H = 0
HAVE_SYS_TIME_H = 1
HAVE_SYS_TYPES_H = 1
HAVE_TIMEGM = 0
HAVE_TTYNAME_R = 1
HAVE_TYPE_VOLATILE_SIG_ATOMIC_T = 1
HAVE_UNISTD_H = 1
HAVE_UNLINKAT = 1
HAVE_UNLOCKPT = 1
HAVE_UNSETENV = 0
HAVE_UNSIGNED_LONG_LONG_INT = 1
HAVE_USLEEP = 1
HAVE_UTIMENSAT = 1
HAVE_VASPRINTF = 1
HAVE_VDPRINTF = 1
HAVE_WCHAR_H = 1
HAVE_WCHAR_T = 1
HAVE_WCRTOMB = 0
HAVE_WCSNRTOMBS = 1
HAVE_WCSRTOMBS = 1
HAVE_WCTYPE_H = 1
HAVE_WINT_T = 1
HAVE__BOOL = 1
HELP2MAN = ${SHELL} /dev/g/du/srcs/gnu/diffutil.30/build-aux/missing --run help2man
ICONV_H = iconv.h
INCLUDE_NEXT = include_next
INCLUDE_NEXT_AS_FIRST_DIRECTIVE = include_next
INSTALL = /dev/env/DJDIR/bin/ginstall -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INT32_MAX_LT_INTMAX_MAX = 1
INT64_MAX_EQ_LONG_MAX = 0
INTLLIBS = 
INTL_MACOSX_LIBS = 
LDFLAGS = 
LIBCSTACK = 
LIBDIFFUTILS_LIBDEPS =  -liconv
LIBDIFFUTILS_LTLIBDEPS =  -liconv
LIBICONV = -liconv
LIBINTL = 
LIBOBJS = 
LIBS = 
LIBSIGSEGV = 
LIBSIGSEGV_PREFIX = 
LIBTESTS_LIBDEPS = 
LIB_CLOCK_GETTIME = 
LOCALCHARSET_TESTS_ENVIRONMENT = CHARSETALIASDIR="$(top_builddir)/lib"
LOCALE_FR = none
LOCALE_FR_UTF8 = none
LOCALE_JA = none
LOCALE_TR_UTF8 = none
LOCALE_ZH_CN = none
LTLIBCSTACK = 
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LTLIBSIGSEGV = 
MAKEINFO = /dev/env/DJDIR/bin/makeinfo --no-split
MKDIR_P = /dev/env/DJDIR/bin/mkdir -p
MSGFMT = :
MSGFMT_015 = :
MSGMERGE = :
NEXT_AS_FIRST_DIRECTIVE_ERRNO_H = <errno.h>
NEXT_AS_FIRST_DIRECTIVE_FCNTL_H = <fcntl.h>
NEXT_AS_FIRST_DIRECTIVE_GETOPT_H = <getopt.h>
NEXT_AS_FIRST_DIRECTIVE_ICONV_H = <iconv.h>
NEXT_AS_FIRST_DIRECTIVE_INTTYPES_H = <inttypes.h>
NEXT_AS_FIRST_DIRECTIVE_LANGINFO_H = <langinfo.h>
NEXT_AS_FIRST_DIRECTIVE_SIGNAL_H = <signal.h>
NEXT_AS_FIRST_DIRECTIVE_STDARG_H = 
NEXT_AS_FIRST_DIRECTIVE_STDDEF_H = 
NEXT_AS_FIRST_DIRECTIVE_STDINT_H = <stdint.h>
NEXT_AS_FIRST_DIRECTIVE_STDIO_H = <stdio.h>
NEXT_AS_FIRST_DIRECTIVE_STDLIB_H = <stdlib.h>
NEXT_AS_FIRST_DIRECTIVE_STRINGS_H = <strings.h>
NEXT_AS_FIRST_DIRECTIVE_STRING_H = <string.h>
NEXT_AS_FIRST_DIRECTIVE_SYS_STAT_H = <sys/stat.h>
NEXT_AS_FIRST_DIRECTIVE_SYS_TIME_H = <sys/time.h>
NEXT_AS_FIRST_DIRECTIVE_SYS_WAIT_H = <sys/wait.h>
NEXT_AS_FIRST_DIRECTIVE_TIME_H = <time.h>
NEXT_AS_FIRST_DIRECTIVE_UNISTD_H = <unistd.h>
NEXT_AS_FIRST_DIRECTIVE_WCHAR_H = <wchar.h>
NEXT_AS_FIRST_DIRECTIVE_WCTYPE_H = <wctype.h>
NEXT_ERRNO_H = <errno.h>
NEXT_FCNTL_H = <fcntl.h>
NEXT_GETOPT_H = <getopt.h>
NEXT_ICONV_H = <iconv.h>
NEXT_INTTYPES_H = <inttypes.h>
NEXT_LANGINFO_H = <langinfo.h>
NEXT_SIGNAL_H = <signal.h>
NEXT_STDARG_H = <stdarg.h>
NEXT_STDDEF_H = 
NEXT_STDINT_H = <stdint.h>
NEXT_STDIO_H = <stdio.h>
NEXT_STDLIB_H = <stdlib.h>
NEXT_STRINGS_H = <strings.h>
NEXT_STRING_H = <string.h>
NEXT_SYS_STAT_H = <sys/stat.h>
NEXT_SYS_TIME_H = <sys/time.h>
NEXT_SYS_WAIT_H = <sys/wait.h>
NEXT_TIME_H = <time.h>
NEXT_UNISTD_H = <unistd.h>
NEXT_WCHAR_H = <wchar.h>
NEXT_WCTYPE_H = <wctype.h>
OBJEXT = o
PACKAGE = diffutils
PACKAGE_BUGREPORT = bug-diffutils@gnu.org
PACKAGE_NAME = GNU diffutils
PACKAGE_STRING = GNU diffutils 3.0
PACKAGE_TARNAME = diffutils
PACKAGE_URL = http://www.gnu.org/software/diffutils/
PACKAGE_VERSION = 3.0
PATH_SEPARATOR = :
POSUB = 
PRAGMA_SYSTEM_HEADER = #pragma GCC system_header
PRIPTR_PREFIX = "l"
PRI_MACROS_BROKEN = 0
PR_PROGRAM = /dev/env/DJDIR/bin/pr
PTRDIFF_T_SUFFIX = 
RANLIB = ranlib
REPLACE_BTOWC = 0
REPLACE_CANONICALIZE_FILE_NAME = 0
REPLACE_CHOWN = 0
REPLACE_CLOSE = 0
REPLACE_DPRINTF = 0
REPLACE_DUP = 0
REPLACE_DUP2 = 1
REPLACE_FCHOWNAT = 0
REPLACE_FCLOSE = 0
REPLACE_FCNTL = 1
REPLACE_FFLUSH = 0
REPLACE_FOPEN = 0
REPLACE_FPRINTF = 0
REPLACE_FPURGE = 0
REPLACE_FREOPEN = 0
REPLACE_FSEEK = 0
REPLACE_FSEEKO = 0
REPLACE_FSTAT = 0
REPLACE_FSTATAT = 0
REPLACE_FTELL = 0
REPLACE_FTELLO = 0
REPLACE_FUTIMENS = 0
REPLACE_GETCWD = 0
REPLACE_GETDELIM = 0
REPLACE_GETGROUPS = 0
REPLACE_GETLINE = 0
REPLACE_GETPAGESIZE = 0
REPLACE_GETTIMEOFDAY = 0
REPLACE_ICONV = 0
REPLACE_ICONV_OPEN = 0
REPLACE_ICONV_UTF = 0
REPLACE_ISWCNTRL = 0
REPLACE_LCHOWN = 0
REPLACE_LINK = 0
REPLACE_LINKAT = 0
REPLACE_LOCALTIME_R = GNULIB_PORTCHECK
REPLACE_LSEEK = 0
REPLACE_LSTAT = 0
REPLACE_MBRLEN = 0
REPLACE_MBRTOWC = 0
REPLACE_MBSINIT = 0
REPLACE_MBSNRTOWCS = 0
REPLACE_MBSRTOWCS = 0
REPLACE_MBSTATE_T = 1
REPLACE_MEMCHR = 1
REPLACE_MEMMEM = 0
REPLACE_MKDIR = 0
REPLACE_MKFIFO = 0
REPLACE_MKNOD = 0
REPLACE_MKSTEMP = 0
REPLACE_MKTIME = 0
REPLACE_NANOSLEEP = GNULIB_PORTCHECK
REPLACE_NL_LANGINFO = 0
REPLACE_NULL = 0
REPLACE_OBSTACK_PRINTF = 0
REPLACE_OPEN = 1
REPLACE_OPENAT = 0
REPLACE_PERROR = 0
REPLACE_POPEN = 0
REPLACE_PREAD = 0
REPLACE_PRINTF = 0
REPLACE_PUTENV = 0
REPLACE_READLINK = 0
REPLACE_REALPATH = 0
REPLACE_REMOVE = 0
REPLACE_RENAME = 0
REPLACE_RENAMEAT = 0
REPLACE_RMDIR = 0
REPLACE_SETENV = 1
REPLACE_SLEEP = 0
REPLACE_SNPRINTF = 0
REPLACE_SPRINTF = 0
REPLACE_STAT = 1
REPLACE_STDIO_WRITE_FUNCS = 0
REPLACE_STPNCPY = 0
REPLACE_STRCASESTR = 0
REPLACE_STRDUP = 0
REPLACE_STRERROR = 1
REPLACE_STRNCAT = 0
REPLACE_STRNDUP = 0
REPLACE_STRNLEN = 0
REPLACE_STRSIGNAL = 0
REPLACE_STRSTR = 0
REPLACE_STRTOD = 0
REPLACE_STRTOK_R = 0
REPLACE_SYMLINK = 1
REPLACE_TIMEGM = 0
REPLACE_TMPFILE = 0
REPLACE_TTYNAME_R = 0
REPLACE_UNLINK = 0
REPLACE_UNLINKAT = 0
REPLACE_UNSETENV = 0
REPLACE_USLEEP = 0
REPLACE_UTIMENSAT = 0
REPLACE_VASPRINTF = 0
REPLACE_VDPRINTF = 0
REPLACE_VFPRINTF = 0
REPLACE_VPRINTF = 0
REPLACE_VSNPRINTF = 0
REPLACE_VSPRINTF = 0
REPLACE_WCRTOMB = 0
REPLACE_WCSNRTOMBS = 0
REPLACE_WCSRTOMBS = 0
REPLACE_WCTOB = 0
REPLACE_WCWIDTH = 0
REPLACE_WRITE = 0
SET_MAKE = 
SHELL = /bin/sh
SIG_ATOMIC_T_SUFFIX = 
SIZE_T_SUFFIX = ul
STDARG_H = 
STDBOOL_H = 
STDDEF_H = 
STDINT_H = stdint.h
STRIP = 
SYS_TIME_H_DEFINES_STRUCT_TIMESPEC = 0
TIME_H_DEFINES_STRUCT_TIMESPEC = 0
UINT32_MAX_LT_UINTMAX_MAX = 1
UINT64_MAX_EQ_ULONG_MAX = 0
UNDEFINE_STRTOK_R = 0
UNISTD_H_HAVE_WINSOCK2_H = 0
UNISTD_H_HAVE_WINSOCK2_H_AND_USE_SOCKETS = 0
USE_NLS = no
VERSION = 3.0
WARN_CFLAGS = 
WCHAR_T_SUFFIX = 
WERROR_CFLAGS = 
WINT_T_SUFFIX = 
XGETTEXT = AWK='gawk' $(SHELL) $(top_srcdir)/exgettext :
XGETTEXT_015 = :
XGETTEXT_EXTRA_OPTIONS =  --flag=error:3:c-format --flag=error_at_line:5:c-format --keyword='proper_name:1,"This is a proper name. See the gettext manual, section Names."' --keyword='proper_name_utf8:1,"This is a proper name. See the gettext manual, section Names."'
abs_aux_dir = /dev/g/du/srcs/gnu/diffutil.30/build-aux
abs_builddir = /dev/g/du/srcs/gnu/diffutil.30/tests
abs_srcdir = /dev/g/du/srcs/gnu/diffutil.30/tests
abs_top_builddir = /dev/g/du/srcs/gnu/diffutil.30
abs_top_srcdir = /dev/g/du/srcs/gnu/diffutil.30
ac_ct_CC = gcc
am__include = include
am__leading_dot = _
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i586-pc-msdosdjgpp
build_alias = 
build_cpu = i586
build_os = msdosdjgpp
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
gl_LIBOBJS =  basename.o basename-lgpl.o btowc.o dirname.o dirname-lgpl.o dup2.o error.o exclude.o fcntl.o file-type.o fnmatch.o freopen-safer.o getopt.o getopt1.o gettime.o hard-locale.o hash.o imaxtostr.o lstat.o mbrlen.o mbrtowc.o mbsinit.o mbsrtowcs.o mbsrtowcs-state.o memchr.o mktime.o nl_langinfo.o offtostr.o open.o quote.o quotearg.o regex.o stat.o strerror.o strftime.o stripslash.o strndup.o strnlen.o strptime.o strtoimax.o strtoumax.o tempname.o time_r.o timegm.o uinttostr.o umaxtostr.o wcrtomb.o wcwidth.o xmalloc.o xstrtol.o xstrtol-error.o xstrtoul.o
gl_LTLIBOBJS =  basename.lo basename-lgpl.lo btowc.lo dirname.lo dirname-lgpl.lo dup2.lo error.lo exclude.lo fcntl.lo file-type.lo fnmatch.lo freopen-safer.lo getopt.lo getopt1.lo gettime.lo hard-locale.lo hash.lo imaxtostr.lo lstat.lo mbrlen.lo mbrtowc.lo mbsinit.lo mbsrtowcs.lo mbsrtowcs-state.lo memchr.lo mktime.lo nl_langinfo.lo offtostr.lo open.lo quote.lo quotearg.lo regex.lo stat.lo strerror.lo strftime.lo stripslash.lo strndup.lo strnlen.lo strptime.lo strtoimax.lo strtoumax.lo tempname.lo time_r.lo timegm.lo uinttostr.lo umaxtostr.lo wcrtomb.lo wcwidth.lo xmalloc.lo xstrtol.lo xstrtol-error.lo xstrtoul.lo
gltests_LIBOBJS =  argmatch.o setenv.o symlink.o unsetenv.o wctob.o
gltests_LTLIBOBJS =  argmatch.lo setenv.lo symlink.lo unsetenv.lo wctob.lo
gltests_WITNESS = IN_DIFFUTILS_GNULIB_TESTS
host = i586-pc-msdosdjgpp
host_alias = 
host_cpu = i586
host_os = msdosdjgpp
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /dev/g/du/srcs/gnu/diffutil.30/build-aux/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /dev/env/DJDIR/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /dev/env/DJDIR
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
TESTS = \
  basic \
  binary \
  help-version	\
  function-line-vs-leading-space \
  label-vs-func	\
  no-newline-at-eof \
  stdin

EXTRA_DIST = \
  $(TESTS) init.sh t-local.sh


# Note that the first lines are statements.  They ensure that environment
# variables that can perturb tests are unset or set to expected values.
# The rest are envvar settings that propagate build-related Makefile
# variables to test scripts.
TESTS_ENVIRONMENT = \
  tmp__=$$TMPDIR; test -d "$$tmp__" || tmp__=.;	\
  TMPDIR=$$tmp__; export TMPDIR;		\
  exec 9>&2;					\
  shell_or_perl_() {				\
    if grep '^\#!/usr/bin/perl' "$$1" > /dev/null; then			\
      if $(PERL) -e 'use warnings' > /dev/null 2>&1; then		\
	grep '^\#!/usr/bin/perl -T' "$$1" > /dev/null && T_=T || T_=;	\
        $(PERL) -w$$T_ -I$(srcdir) -MCoreutils				\
	      -M"CuTmpdir qw($$f)" -- "$$1";	\
      else					\
	echo 1>&2 "$$tst: configure did not find a usable version of Perl," \
	  "so skipping this test";		\
	(exit 77);				\
      fi;					\
    else					\
      $(SHELL) "$$1";				\
    fi;						\
  };						\
  export					\
  VERSION='$(VERSION)'				\
  abs_top_builddir='$(abs_top_builddir)'	\
  abs_top_srcdir='$(abs_top_srcdir)'		\
  abs_srcdir='$(abs_srcdir)'			\
  built_programs="`$(built_programs)`"		\
  srcdir='$(srcdir)'				\
  top_srcdir='$(top_srcdir)'			\
  CC='$(CC)'					\
  MAKE=$(MAKE)					\
  PACKAGE_BUGREPORT='$(PACKAGE_BUGREPORT)'	\
  PACKAGE_VERSION=$(PACKAGE_VERSION)		\
  CONFIG_HEADER='$(abs_top_builddir)/lib/config.h' \
  ENABLE_DEVICE_MAPPER=$(ENABLE_DEVICE_MAPPER)	\
  PERL='$(PERL)'				\
  PREFERABLY_POSIX_SHELL='$(PREFERABLY_POSIX_SHELL)' \
  REPLACE_GETCWD=$(REPLACE_GETCWD)		\
  PATH='$(abs_top_builddir)/src$(PATH_SEPARATOR)'"$$PATH" \
  ; shell_or_perl_

built_programs = \
  echo 'spy:;@echo $$(PROGRAMS)'					\
    | MAKEFLAGS= $(MAKE) -s -C $(builddir)/../src -f Makefile -f - spy	\
    | fmt -1 | sed 's,$(EXEEXT)$$,,' | sort -u

VERBOSE = yes
all: all-am

.SUFFIXES:
.SUFFIXES: .html .log .test .test$(EXEEXT)
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu tests/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:

cscope cscopelist:


# To be appended to the command running the test.  Handle the stdout
# and stderr redirection, and catch the exit status.
am__check_post =					\
>$@-t 2>&1;						\
estatus=$$?;						\
if test -n '$(DISABLE_HARD_ERRORS)'			\
   && test $$estatus -eq 99; then			\
  estatus=1;						\
fi;							\
TERM=$$__SAVED_TERM; export TERM;			\
$(am__tty_colors);					\
xfailed=PASS;						\
case " $(XFAIL_TESTS) " in				\
  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
    xfailed=XFAIL;;					\
esac;							\
case $$estatus:$$xfailed in				\
    0:XFAIL) col=$$red; res=XPASS;;			\
    0:*)     col=$$grn; res=PASS ;;			\
    77:*)    col=$$blu; res=SKIP ;;			\
    99:*)    col=$$red; res=FAIL ;;			\
    *:XFAIL) col=$$lgn; res=XFAIL;;			\
    *:*)     col=$$red; res=FAIL ;;			\
esac;							\
echo "$${col}$$res$${std}: $$f";			\
echo "$$res: $$f (exit: $$estatus)" |			\
  $(am__rst_section) >$@;				\
cat $@-t >>$@;						\
rm -f $@-t

$(TEST_SUITE_LOG): $(TEST_LOGS)
	@$(am__sh_e_setup);						\
	list='$(TEST_LOGS)';						\
	results=`for f in $$list; do					\
		   read line < $$f && echo "$$line" || echo FAIL;	\
		 done`;							\
	all=`echo "$$results" | sed '/^$$/d' | wc -l | sed -e 's/^[	 ]*//'`; \
	fail=`echo "$$results" | grep -c '^FAIL'`;			\
	pass=`echo "$$results" | grep -c '^PASS'`;			\
	skip=`echo "$$results" | grep -c '^SKIP'`;			\
	xfail=`echo "$$results" | grep -c '^XFAIL'`;			\
	xpass=`echo "$$results" | grep -c '^XPASS'`;			\
	failures=`expr $$fail + $$xpass`;				\
	all=`expr $$all - $$skip`;					\
	if test "$$all" -eq 1; then tests=test; All=;			\
	else tests=tests; All="All "; fi;				\
	case fail=$$fail:xpass=$$xpass:xfail=$$xfail in			\
	  fail=0:xpass=0:xfail=0)					\
	    msg="$$All$$all $$tests passed.  ";				\
	    exit=true;;							\
	  fail=0:xpass=0:xfail=*)					\
	    msg="$$All$$all $$tests behaved as expected";		\
	    if test "$$xfail" -eq 1; then xfailures=failure;		\
	    else xfailures=failures; fi;				\
	    msg="$$msg ($$xfail expected $$xfailures).  ";		\
	    exit=true;;							\
	  fail=*:xpass=0:xfail=*)					\
	    msg="$$fail of $$all $$tests failed.  ";			\
	    exit=false;;						\
	  fail=*:xpass=*:xfail=*)					\
	    msg="$$failures of $$all $$tests did not behave as expected"; \
	    if test "$$xpass" -eq 1; then xpasses=pass;			\
	    else xpasses=passes; fi;					\
	    msg="$$msg ($$xpass unexpected $$xpasses).  ";		\
	    exit=false;;						\
	  *)								\
	    echo >&2 "incorrect case"; exit 4;;				\
	esac;								\
	if test "$$skip" -ne 0; then					\
	  if test "$$skip" -eq 1; then					\
	    msg="$$msg($$skip test was not run).  ";			\
	  else								\
	    msg="$$msg($$skip tests were not run).  ";			\
	  fi;								\
	fi;								\
	{								\
	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
	    $(am__rst_title);						\
	  echo "$$msg";							\
	  echo;								\
	  echo ".. contents:: :depth: 2";				\
	  echo;								\
	  for f in $$list; do						\
	    read line < $$f;						\
	    case $$line in						\
	      PASS:*|XFAIL:*);;						\
	      *) echo; cat $$f;;					\
	    esac;							\
	  done;								\
	} >$(TEST_SUITE_LOG).tmp;					\
	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
	if test "$$failures" -ne 0; then				\
	  msg="$${msg}See $(subdir)/$(TEST_SUITE_LOG).  ";		\
	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
	    msg="$${msg}Please report to $(PACKAGE_BUGREPORT).  ";	\
	  fi;								\
	fi;								\
	test x"$$VERBOSE" = x || $$exit || cat $(TEST_SUITE_LOG);	\
	$(am__tty_colors);						\
	if $$exit; then							\
	  echo $(ECHO_N) "$$grn$(ECHO_C)";				\
	 else								\
	  echo $(ECHO_N) "$$red$(ECHO_C)";				\
	fi;								\
	echo "$$msg" | $(am__text_box);					\
	echo $(ECHO_N) "$$std$(ECHO_C)";				\
	$$exit

# Run all the tests.
check-TESTS:
	@list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
	@list='$(TEST_LOGS)';						\
	list=`for f in $$list; do					\
	  test .log = $$f || echo $$f;					\
	done | tr '\012\015' '  '`;					\
	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$list"

.log.html:
	@list='$(RST2HTML) $$RST2HTML rst2html rst2html.py';		\
	for r2h in $$list; do						\
	  if ($$r2h --version) >/dev/null 2>&1; then			\
	    R2H=$$r2h;							\
	  fi;								\
	done;								\
	if test -z "$$R2H"; then					\
	  echo >&2 "cannot find rst2html, cannot create $@";		\
	  exit 2;							\
	fi;								\
	$$R2H $< >$@.tmp
	@mv $@.tmp $@

# Be sure to run check first, and then to convert the result.
# Beware of concurrent executions.  Run "check" not "check-TESTS", as
# check-SCRIPTS and other dependencies are rebuilt by the former only.
# And expect check to fail.
check-html:
	@if $(MAKE) $(AM_MAKEFLAGS) check; then			\
	  rv=0; else rv=$$?;					\
	fi;							\
	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_HTML) || exit 4;	\
	exit $$rv
recheck recheck-html:
	@target=`echo $@ | sed 's,^re,,'`;				\
	list='$(TEST_LOGS)';						\
	list=`for f in $$list; do					\
	        test -f $$f || continue;				\
	        if read line < $$f; then				\
	          case $$line in FAIL*|XPASS*) echo $$f;; esac;		\
	        else echo $$f; fi;					\
	      done | tr '\012\015' '  '`;				\
	$(MAKE) $(AM_MAKEFLAGS) $$target AM_MAKEFLAGS='$(AM_MAKEFLAGS) TEST_LOGS="'"$$list"'"'
basic.log: basic
	@p='basic'; $(am__check_pre) $(LOG_COMPILE) "$$tst" $(am__check_post)
binary.log: binary
	@p='binary'; $(am__check_pre) $(LOG_COMPILE) "$$tst" $(am__check_post)
help-version.log: help-version
	@p='help-version'; $(am__check_pre) $(LOG_COMPILE) "$$tst" $(am__check_post)
function-line-vs-leading-space.log: function-line-vs-leading-space
	@p='function-line-vs-leading-space'; $(am__check_pre) $(LOG_COMPILE) "$$tst" $(am__check_post)
label-vs-func.log: label-vs-func
	@p='label-vs-func'; $(am__check_pre) $(LOG_COMPILE) "$$tst" $(am__check_post)
no-newline-at-eof.log: no-newline-at-eof
	@p='no-newline-at-eof'; $(am__check_pre) $(LOG_COMPILE) "$$tst" $(am__check_post)
stdin.log: stdin
	@p='stdin'; $(am__check_pre) $(LOG_COMPILE) "$$tst" $(am__check_post)
.test.log:
	@p='$<'; $(am__check_pre) $(TEST_LOG_COMPILE) "$$tst" $(am__check_post)
.test$(EXEEXT).log:
	@p='$<'; $(am__check_pre) $(TEST_LOG_COMPILE) "$$tst" $(am__check_post)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:
	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
	-test -z "$(TEST_LOGS_TMP)" || rm -f $(TEST_LOGS_TMP)
	-test -z "$(TEST_SUITE_HTML)" || rm -f $(TEST_SUITE_HTML)
	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: check-am check-html install-am install-strip recheck \
	recheck-html

.PHONY: all all-am check check-TESTS check-am check-html clean \
	clean-generic distclean distclean-generic distdir dvi dvi-am \
	html html-am info info-am install install-am install-data \
	install-data-am install-dvi install-dvi-am install-exec \
	install-exec-am install-html install-html-am install-info \
	install-info-am install-man install-pdf install-pdf-am \
	install-ps install-ps-am install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
	pdf-am ps ps-am recheck recheck-html uninstall uninstall-am


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
